### Method

# GLib KeyFile set_double

since: 2.12

#### Declaration [src]

    void
    g_key_file_set_double (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      gdouble value
    )

#### Description [src]

Associates a new double value with `key` under `group_name`.

If `key` cannot be found then it is created.

Available since: 2.12

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gdouble`

  A double value.